# schema_salad.tests.test_python_codegen

## Functions

`test_safe_identifiers`() | Affirm correct construction of identifiers safe for Python.
`test_cwl_gen`(tmp_path) |
`test_meta_schema_gen`(tmp_path) |
`test_meta_schema_gen_up_to_date`(tmp_path) |
`test_meta_schema_gen_no_base`(tmp_path) |
`python_codegen`(file_uri, target[, parser_info, package]) |
`test_default_parser_info`(tmp_path) |
`test_parser_info`(tmp_path) |
`test_use_of_package_for_parser_info`(tmp_path) |
`test_graph_property`() | Test the RDFLib Graph representation of the $schemas directive.
`test_graph_property_cache`() | Test that LoadingOptions properly cache the $schemas RDFLib Graph representations.
`test_graph_property_empty_schema`() | Test that an empty RDFLib Graph is returned when not $schemas directive is present.

## Module Contents

schema_salad.tests.test_python_codegen.test_safe_identifiers()

  Affirm correct construction of identifiers safe for Python.

  Return type:

    None

schema_salad.tests.test_python_codegen.test_cwl_gen(tmp_path)
  Parameters:

    tmp_path (pathlib.Path)

  Return type:

    None

schema_salad.tests.test_python_codegen.test_meta_schema_gen(tmp_path)
  Parameters:

    tmp_path (pathlib.Path)

  Return type:

    None

schema_salad.tests.test_python_codegen.test_meta_schema_gen_up_to_date(tmp_path)
  Parameters:

    tmp_path (pathlib.Path)

  Return type:

    None

schema_salad.tests.test_python_codegen.test_meta_schema_gen_no_base(tmp_path)
  Parameters:

    tmp_path (pathlib.Path)

  Return type:

    None

schema_salad.tests.test_python_codegen.python_codegen(file_uri, target, parser_info=None, package=None)
  Parameters:

    - file_uri (str)

    - target (pathlib.Path)

    - parser_info (str | None)

    - package (str | None)

  Return type:

    None

schema_salad.tests.test_python_codegen.test_default_parser_info(tmp_path)
  Parameters:

    tmp_path (pathlib.Path)

  Return type:

    None

schema_salad.tests.test_python_codegen.test_parser_info(tmp_path)
  Parameters:

    tmp_path (pathlib.Path)

  Return type:

    None

schema_salad.tests.test_python_codegen.test_use_of_package_for_parser_info(tmp_path)
  Parameters:

    tmp_path (pathlib.Path)

  Return type:

    None

schema_salad.tests.test_python_codegen.test_graph_property()

  Test the RDFLib Graph representation of the $schemas directive.

  Return type:

    None

schema_salad.tests.test_python_codegen.test_graph_property_cache()

  Test that LoadingOptions properly cache the $schemas RDFLib Graph representations.

  Return type:

    None

schema_salad.tests.test_python_codegen.test_graph_property_empty_schema()

  Test that an empty RDFLib Graph is returned when not $schemas directive is present.

  Return type:

    None